> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://api.docs.modulards.com/modular-ds-public-api/websites/teams/update-a-team/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.docs.modulards.com/_mcp/server. # Update a team PATCH https://api.modulards.com/api/public/v1/teams/{team_id} Content-Type: application/json Renames a team, the group its websites belong to. **Body** - `name` (string, required): the new name, at most 60 characters. Reference: https://api.docs.modulards.com/modular-ds-public-api/websites/teams/update-a-team ## Authentication - `Authorization` header (bearer token, required) — Personal access token created in the Modular DS dashboard; read-only tokens can only call GET endpoints. ## Request ### Path parameters - `team_id` (string, required) ### Body (application/json) This endpoint expects an object. - `name` (string, optional) ## Response ### 200 200 - Team updated - `data` (ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaData, optional) - `jsonapi` (ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaJsonapi, optional) ## Types ### ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaData - `attributes` (ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaDataAttributes, optional) - `id` (string, optional) - `links` (ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaDataLinks, optional) - `type` (string, optional) ### ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaJsonapi - `version` (string, optional) ### ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaDataAttributes - `created_at` (string, optional) - `name` (string, optional) - `slug` (string, optional) - `updated_at` (string, optional) ### ApiPublicV1TeamsTeamIdPatchResponsesContentApplicationJsonSchemaDataLinks - `self` (string, optional) ## Examples ### 200 - Team updated **Response** ```json { "data": { "attributes": { "created_at": "2026-09-21T09:10:00.000000Z", "name": "Renamed team", "slug": "new-clients", "updated_at": "2026-09-21T09:15:00.000000Z" }, "id": "8", "links": { "self": "https://api.modulards.com/api/public/v1/teams/8" }, "type": "teams" }, "jsonapi": { "version": "1.1" } } ``` **SDK Code** ```python 200 - Team updated import requests url = "https://api.modulards.com/api/public/v1/teams/team_id" headers = {"Authorization": "Bearer "} response = requests.patch(url, headers=headers) print(response.json()) ``` ```javascript 200 - Team updated const url = 'https://api.modulards.com/api/public/v1/teams/team_id'; const options = {method: 'PATCH', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go 200 - Team updated package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.modulards.com/api/public/v1/teams/team_id" req, _ := http.NewRequest("PATCH", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby 200 - Team updated require 'uri' require 'net/http' url = URI("https://api.modulards.com/api/public/v1/teams/team_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java 200 - Team updated import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.modulards.com/api/public/v1/teams/team_id") .header("Authorization", "Bearer ") .asString(); ``` ```php 200 - Team updated request('PATCH', 'https://api.modulards.com/api/public/v1/teams/team_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp 200 - Team updated using RestSharp; var client = new RestClient("https://api.modulards.com/api/public/v1/teams/team_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift 200 - Team updated import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.modulards.com/api/public/v1/teams/team_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Update a team **Request** ```json { "name": "Renamed team" } ``` **Response** ```json { "data": { "attributes": { "created_at": "2026-09-21T09:10:00.000000Z", "name": "Renamed team", "slug": "new-clients", "updated_at": "2026-09-21T09:15:00.000000Z" }, "id": "8", "links": { "self": "https://api.modulards.com/api/public/v1/teams/8" }, "type": "teams" }, "jsonapi": { "version": "1.1" } } ``` **SDK Code** ```python Update a team import requests url = "https://api.modulards.com/api/public/v1/teams/team_id" payload = { "name": "Renamed team" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Update a team const url = 'https://api.modulards.com/api/public/v1/teams/team_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"Renamed team"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Update a team package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.modulards.com/api/public/v1/teams/team_id" payload := strings.NewReader("{\n \"name\": \"Renamed team\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Update a team require 'uri' require 'net/http' url = URI("https://api.modulards.com/api/public/v1/teams/team_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Renamed team\"\n}" response = http.request(request) puts response.read_body ``` ```java Update a team import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.modulards.com/api/public/v1/teams/team_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"Renamed team\"\n}") .asString(); ``` ```php Update a team request('PATCH', 'https://api.modulards.com/api/public/v1/teams/team_id', [ 'body' => '{ "name": "Renamed team" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Update a team using RestSharp; var client = new RestClient("https://api.modulards.com/api/public/v1/teams/team_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Renamed team\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Update a team import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["name": "Renamed team"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.modulards.com/api/public/v1/teams/team_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```